<template>
    <Page>
        <StackLayout>
            <Label text="Player 1" textWrap="true" />
            <Label text="Player 2" textWrap="true" />
            <Label text="Tour Number" textWrap="true" />
            <GridLayout rows="*, *, *, *" columns="*, *, *, *">
                <WrapLayout orientation="horizontal" itemWidth="" itemHeight="" col="0" ref="col1" backgroundColor="gray" @tap="addPawn(0)">
                </WrapLayout>
                <WrapLayout orientation="horizontal" itemWidth="" itemHeight="" col="1" ref="col2" @tap="addPawn(1)">
                </WrapLayout>
                <WrapLayout orientation="horizontal" itemWidth="" itemHeight="" col="2" ref="col3" backgroundColor="gray" @tap="addPawn(2)">
                </WrapLayout>
                <WrapLayout orientation="horizontal" itemWidth="" itemHeight="" col="3" ref="col4" @tap="addPawn(3)">
                </WrapLayout>
            </GridLayout>
        </StackLayout>
    </Page>
</template>

<script>
import { Image } from "tns-core-modules/ui/image";

export default {
    data() {
        return {
            tour: 0,
            game: [[null], [null], [null], [null]]
        }
    },
    methods: {
        addPawn(number) {
            this.tour++;

            let itemDisplay = new Image();
            itemDisplay.width = 90;
            itemDisplay.height = 90;
            itemDisplay.style.margin = "5,5,5,5";
            itemDisplay.translateX = -300;
            itemDisplay.opacity = 0;
            itemDisplay.on("loaded", function (args) {
                args.object.animate({ translate: { x: 0, y: 0 }, opacity: 1 });
            });

            if (number == 0) {
                let wrapLayout = this.$refs.col0.nativeView;
            } else if (number == 1) {
                let wrapLayout = this.$refs.col1.nativeView;
            } else if (number == 2) {
                let wrapLayout = this.$refs.col2.nativeView;
            } else {
                let wrapLayout = this.$refs.col3.nativeView;
            }
            wrapLayout.addChild(itemDisplay);

            if (this.determinePlayer() === 1) {
                let pawn = {
                    image: "~/assets/images/simplonB.png",
                    player: "1"
                }
            } else {
                let pawn = {
                    image: "~/assets/images/simplonR.png",
                    player: "2"
                }
            }
            itemDisplay.src = pawn.image;

            this.game[number].push(pawn);
        },
        determinePlayer() {
            if (this.tour % 2 === 0) {
                return 1;
            }
            return 2;
        }
    }
}
</script>

<style>
</style>
